@@ test st_value bit 0 of thumb function
@ RUN: llvm-mc %s -triple=thumbv7-linux-gnueabi -filetype=obj -o - | \
@ RUN: elf-dump --dump-section-data  | FileCheck -check-prefix=OBJ %s
	.syntax unified
	.text
	.globl	foo
	.align	2
	.type	foo,%function
	.code	16
	.thumb_func
foo:
	bx	lr

@@ make sure foo is thumb function: bit 0 = 1 (st_value)
@OBJ:           Symbol 0x00000004
@OBJ-NEXT:      'st_name', 0x00000001
@OBJ-NEXT:      'st_value', 0x00000001
@OBJ-NEXT:      'st_size', 0x00000000
@OBJ-NEXT:      'st_bind', 0x00000001
@OBJ-NEXT:      'st_type', 0x00000002
