;; test attributes for cpu=xscale
;; @ RUN: llc %s -mtriple=thumbv5-linux-gnueabi -relocation-model=pic \
;; @ RUN: -filetype=obj -mcpu=xscale -o - | elf-dump --dump-section-data | \
;; @ RUN: FileCheck -check-prefix=OBJ %s

target datalayout = "e-p:32:32:32-i1:8:32-i8:8:32-i16:16:32-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v64:64:64-v128:64:128-a0:0:32-n32"
target triple = "thumbv5-none--gnueabi"

define void @foo() nounwind {
entry:
  ret void
}

;; @OBJ:           Section 0x00000004
;; @OBJ-NEXT:      'sh_name', 0x0000000c
;; @OBJ-NEXT:      'sh_type', 0x70000003
;; @OBJ-NEXT:	   'sh_flags', 0x00000000
;; @OBJ-NEXT:	   'sh_addr', 0x00000000
;; @OBJ-NEXT:	   'sh_offset', 0x00000038
;; @OBJ-NEXT:	   'sh_size', 0x00000020
;; @OBJ-NEXT:	   'sh_link', 0x00000000
;; @OBJ-NEXT:	   'sh_info', 0x00000000
;; @OBJ-NEXT:	   'sh_addralign', 0x00000001
;; @OBJ-NEXT:	   'sh_entsize', 0x00000000
;; @OBJ-NEXT:      '_section_data', '411f0000 00616561 62690001 15000000 06050801 09011401 15011703 18011901'
